# https://github.com/Matroska-Org/libebml/

%global commit 8330b222fec992b295c8b2149cf70f9ff648ce4a
%global gittag 1.4.4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          libebml
License:       LGPLv2+
Group:         System Environment/Libraries
Version:       1.4.4
#Release:       1.git%{shortcommit}%{?dist}
Release:       1%{?dist}
Summary:       libebml - Extensible Binary Meta Language library
URL:           https://www.matroska.org/
%undefine _disable_source_fetch
Source0:       https://github.com/Matroska-Org/libebml/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: cmake3,make
BuildRequires: devtoolset-9-gcc-c++
%description
Extensible Binary Meta Language access library A library for reading
and writing files with the Extensible Binary Meta Language, a binary
pendant to XML.

%package devel
Summary: libebml-devel - Development files for the Extensible Binary Meta Language library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Extensible Binary Meta Language access library A library for reading
and writing files with the Extensible Binary Meta Language, a binary
pendant to XML.
This package contains the files required to rebuild applications which
will use the Extensible Binary Meta Language library.

%prep
%setup -q -n %{name}-%{commit}

%build
mkdir build
pushd build
cmake3  -DCMAKE_C_COMPILER=/opt/rh/devtoolset-9/root/bin/gcc \
        -DCMAKE_CXX_COMPILER=/opt/rh/devtoolset-9/root/bin/g++ \
        -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_PREFIX:PATH=/usr \
        -DBUILD_SHARED_LIBS=ON \
        ..
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENSE.LGPL
#only in release version
#%doc ChangeLog
/usr/lib64/libebml.so.5
/usr/lib64/libebml.so.5.0.0
%files devel
/usr/include/ebml/c/libebml_t.h
/usr/include/ebml/Debug.h
/usr/include/ebml/EbmlBinary.h
/usr/include/ebml/EbmlConfig.h
/usr/include/ebml/EbmlContexts.h
/usr/include/ebml/EbmlCrc32.h
/usr/include/ebml/EbmlDate.h
/usr/include/ebml/EbmlDummy.h
/usr/include/ebml/EbmlElement.h
/usr/include/ebml/EbmlEndian.h
/usr/include/ebml/EbmlFloat.h
/usr/include/ebml/EbmlHead.h
/usr/include/ebml/EbmlId.h
/usr/include/ebml/EbmlMaster.h
/usr/include/ebml/EbmlSInteger.h
/usr/include/ebml/EbmlStream.h
/usr/include/ebml/EbmlString.h
/usr/include/ebml/EbmlSubHead.h
/usr/include/ebml/EbmlTypes.h
/usr/include/ebml/EbmlUInteger.h
/usr/include/ebml/EbmlUnicodeString.h
/usr/include/ebml/EbmlVersion.h
/usr/include/ebml/EbmlVoid.h
/usr/include/ebml/IOCallback.h
/usr/include/ebml/MemIOCallback.h
/usr/include/ebml/MemReadIOCallback.h
/usr/include/ebml/SafeReadIOCallback.h
/usr/include/ebml/StdIOCallback.h
/usr/include/ebml/ebml_export.h
/usr/lib64/cmake/EBML/EBMLConfig.cmake
/usr/lib64/cmake/EBML/EBMLConfigVersion.cmake
#/usr/lib64/cmake/EBML/EBMLTargets-noconfig.cmake
#/usr/lib64/cmake/EBML/EBMLTargets.cmake
/usr/lib64/cmake/EBML/EBMLTargets-release.cmake
/usr/lib64/cmake/EBML/EBMLTargets.cmake
/usr/lib64/libebml.so
/usr/lib64/pkgconfig/libebml.pc